package game_room;

import java.util.*;

public class GameRoom {
	
	
	public static void main(String[] args) {
		Scanner console = new Scanner(System.in);
		System.out.println("Welcome to our super exciting game room!");
		System.out.println("Enter player names, and we'll choose the best game for your party.");
		
		List<Player> players = getPlayers(console);
		
		// Create the game, then let's play!
		Game game = GameFactory.createGame(players);
		System.out.println("Playing " + game);
		if (game != null) {
			game.play();
			System.out.println("The winner is " + game.getWinner() + "!");
		}
	}
	
	// Get all the player names
	private static List<Player> getPlayers(Scanner console) {
		List<Player> players = new ArrayList<Player>();
		System.out.print("Enter first player's name: ");
		String nextName = console.nextLine();
		
		while (!nextName.equals("")) {
			players.add(new Player(nextName));
			System.out.print("Enter next player's name or empty string if entered all players: ");
			nextName = console.nextLine();
		}
		return players;
	}
}
