package game_room.rock_paper_scissors;
import java.util.Observer;

/**
 * This interface represents strategy algorithms for players to use 
 * for playing rock-paper-scissors.
 * @author Marty Stepp
 * @version CSE 331 Spring 2011, 5/9/2011
 */
public interface RPSStrategy extends Observer {
	/**
	 * Instructs this strategy to choose and return its weapon in the next round
	 * of the game.
	 * @return the weapon chosen (must be rock, paper, or scissors)
	 */
	public Weapon chooseWeapon();
}
