package patterns_singleton;

/**
 * Totally bogus representation of a file server. Instead of clients actually
 * connecting to the server dynamically, we read our clients' requests from
 * stdin and write the results to stdout.
 * 
 * The important point is demonstrating use of a logger with Singleton. 
 * 
 * @author Krysta
 *
 */
public class FileServer {
	private static final int NUM_CLIENTS = 10;
	
	public static void main(String[] args) {
    	// Create our imaginary clients - the machines connecting to the file
    	// server to request access to files.
    	Client[] clients = new Client[NUM_CLIENTS];
    	for (int i = 0; i < clients.length; i++) {
    		clients[i] = new Client();
    	}
    	
    	// Model different clients requesting files. In a real server, they wouldn't
    	// be requesting files one after the other in order like this. But again, this
    	// is just a bogus representation.
		while (true) {
			for (int i = 0; i < clients.length; i++) {
				System.out.println("Client #" + i + "'s turn to read");
				clients[i].readNextFile();
			}
		}
	}
}
